Zum Inhalt springen
DeutschlandGPT

Custom GPTs auflisten

Gibt alle aktiven Custom GPTs für den authentifizierten Workspace zurück — Enterprise-weit oder die privaten Custom GPTs des Nutzers, wenn der Workspace kein Enterprise hat. Die Ergebnisse werden bei Bedarf nach den Custom-GPT-Berechtigungen des API-Keys gefiltert.

GEThttps://api.deutschlandgpt.de/v2/custom-gpts

Beispielaufruf

curl https://api.deutschlandgpt.de/v2/custom-gpts \
  -X GET \
  -H "Authorization: Bearer $DGPT_API_KEY"

Antwort

200application/json
{
  "object": "list",
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "description": "string",
      "instructions": "string",
      "conversationStarters": "string",
      "metadata": {
        "files": [
          null
        ],
        "webBrowsing": {
          "enabled": null
        },
        "imageGeneration": {
          "enabled": null
        },
        "codeInterpreter": {
          "enabled": null
        }
      },
      "accessLevel": "string",
      "promptSuggestions": [
        "string"
      ],
      "modelId": "00000000-0000-0000-0000-000000000000",
      "createdAt": "2025-01-01T00:00:00Z"
    }
  ]
}

Liste der Custom GPTs

objectstring
dataCustomGpt[]
idstring<uuid>
namestring
descriptionstring | null
instructionsstring | null
conversationStartersstring | null
metadataCustomGptMetadata
filesobject[]
webBrowsingobject
imageGenerationobject
codeInterpreterobject
accessLevelstring
promptSuggestionsstring[]
modelIdstring<uuid> | null
createdAtstring<date-time>

Statuscodes

200

Liste der Custom GPTs

object
401

Nicht autorisiert

War diese Seite hilfreich?
Custom GPTs auflisten · DeutschlandGPT